Skip to main content
`Ctrl`+`K`
scipy.linalg.interpolative.

# reconstruct_interp_matrix

scipy.linalg.interpolative.reconstruct_interp_matrix(idx, proj)

  Reconstruct interpolation matrix from ID.

  The interpolation matrix can be reconstructed from the ID indices and coefficients idx and proj, respectively, as:

      P = numpy.hstack([numpy.eye(proj.shape[0]), proj])[:,numpy.argsort(idx)]

  The original matrix can then be reconstructed from its skeleton matrix `B` via `A = B @ P`

  See also `reconstruct_matrix_from_id` and `reconstruct_skel_matrix`.

  Parameters:
    idx `numpy.ndarray`

      1D column index array.

    proj `numpy.ndarray`

      Interpolation coefficients.

  Returns:
    `numpy.ndarray`

      Interpolation matrix.